Subject: bug#23894: closed (Re: bug#23894: compilation fails with `-Og')

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Jul 2016 14:07:02 +0000

Your bug report

#23894: compilation fails with `-Og'

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23894: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23894
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23894: compilation fails with `-Og'
From: Paul Eggert <[email-masked]>
To: Gonçalo Ribeiro <[email-masked]>, [email-masked]
Date: Tue, 5 Jul 2016 16:06:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 07/04/2016 04:32 PM, Gonçalo Ribeiro wrote:
> As expected, by initialising the 'optc' variable the error goes away.

The optc variable is always initialized anyway, so there should be no 
need to add extra initialization for it. The problem is that your 
compiler is issuing a false alarm in some cases. Since this is merely a 
warning and the warning is incorrect, I wouldn't worry about it.

Subject: compilation fails with `-Og'
From: Gonçalo Ribeiro <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 4 Jul 2016 14:32:56 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
Today I tried compiling gzip with `CFLAGS = -ggdb3 -Og', which resulted in the following error 
gzip.c: In function 'main':gzip.c:609:19: error: 'optc' may be used uninitialized in this function [-Werror=maybe-uninitialized]                   fprintf (stderr, "-%c: ", optc - ENV_OPTION);
After messing around a bit I found that the problem is with the `-Og' flag. With the default `-O2' the compilation is sucessful.
As expected, by initialising the 'optc' variable the error goes away. I'm just not sure if any value is good for the initialisation.
Regards,Gonçalo Ribeiro